Bug 1015173 - Attempt to cancel ISO verification crashes anaconda
Attempt to cancel ISO verification crashes anaconda
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: David Shea
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 10:53 EDT by Tomas Capek
Modified: 2014-06-17 21:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-19.31.38-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:09:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda traceback (344.85 KB, text/plain)
2013-10-03 11:43 EDT, Tomas Capek
no flags Details

  None (edit)
Description Tomas Capek 2013-10-03 10:53:10 EDT
Steps to Reproduce:
1. In the Installation Source spoke, select a valid ISO file
2. Click "Verify"
3. Try to interrupt the verification process by clicking the Cancel button... Oops, there is no Cancel button
4. Hit Ecs a couple of times


Actual results:

anaconda crashes with a traceback


Expected results:

Allow users to interrupt the verification process properly, preferably by providing the Cancel button.
Comment 1 David Shea 2013-10-03 11:06:20 EDT
What version of anaconda were you running? Can you attach the traceback to this bug?
Comment 3 Tomas Capek 2013-10-03 11:43:39 EDT
Created attachment 807158 [details]
anaconda traceback

I was on 19.31.17-1 but can confirm that the bug occurs on version 21 as well.
Comment 4 David Shea 2013-12-10 14:17:28 EST
Just need to cherry-pick 738e99443f9d5ede940a06cabf6e944da51f5894 to rhel7-branch
Comment 7 Ludek Smid 2014-06-13 08:09:01 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.